OverallRepository

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dvb.event
Class OverallRepository

    java.lang.Object
      org.dvb.event.RepositoryDescriptor
          org.dvb.event.UserEventRepository
              org.dvb.event.OverallRepository

All Implemented Interfaces:
  ResourceProxy

    public class OverallRepository

extends UserEventRepository

This class defines a repository which initially contains all the user events which can be delivered to an application. This includes all keycodes for which KEY_PRESSED and KEY_RELEASED events can be generated and all keychars for which KEY_TYPED events can be generated. Note that the set of keycodes and keychars which can be generated is dependent on the input devices of the MHP terminal. For example, this pre-defined repository could be used by an application, which requires a pin code from the user, in order to prevent another applications from receiving events.

See Also:
  `UserEvent`, `HKeyCapabilities`

Constructor Summary
`OverallRepository()` The constructor for the repository.
`OverallRepository(String name)` The constructor for the repository with a name.

Method Summary

Methods inherited from class org.dvb.event.UserEventRepository
`addAllArrowKeys, addAllColourKeys, addAllNumericKeys, addKey, addUserEvent, getName, getUserEvent, removeAllArrowKeys, removeAllColourKeys, removeAllNumericKeys, removeKey, removeUserEvent`

Methods inherited from class org.dvb.event.RepositoryDescriptor
`getClient`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OverallRepository

    public OverallRepository()

  The constructor for the repository. The name of the constructed instance (as returned by getName()) is implementation dependent.

### OverallRepository

    public OverallRepository(String name)

  The constructor for the repository with a name.

  Parameters:
    `name` - the name to use for the repository

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD